BackupPoliciesOperations Class

BackupPoliciesOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
BackupPoliciesOperations

Constructor

BackupPoliciesOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

create_or_update

Creates or Updates a backup policy belonging to a backup vault.

Creates or Updates a backup policy belonging to a backup vault.

delete

Deletes a backup policy belonging to a backup vault.

Deletes a backup policy belonging to a backup vault.

get

Gets a backup policy belonging to a backup vault.

Gets a backup policy belonging to a backup vault.

list

Returns list of backup policies belonging to a backup vault.

create_or_update

Creates or Updates a backup policy belonging to a backup vault.

Creates or Updates a backup policy belonging to a backup vault.

async create_or_update(vault_name: str, resource_group_name: str, backup_policy_name: str, parameters: azure.mgmt.dataprotection.models._models_py3.BaseBackupPolicyResource, **kwargs: Any) -> azure.mgmt.dataprotection.models._models_py3.BaseBackupPolicyResource

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_policy_name
str
Required

Name of the policy.

parameters
BaseBackupPolicyResource
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

Returns

BaseBackupPolicyResource, or the result of cls(response)

Return type

Exceptions

delete

Deletes a backup policy belonging to a backup vault.

Deletes a backup policy belonging to a backup vault.

async delete(vault_name: str, resource_group_name: str, backup_policy_name: str, **kwargs: Any) -> None

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_policy_name
str
Required
cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Gets a backup policy belonging to a backup vault.

Gets a backup policy belonging to a backup vault.

async get(vault_name: str, resource_group_name: str, backup_policy_name: str, **kwargs: Any) -> azure.mgmt.dataprotection.models._models_py3.BaseBackupPolicyResource

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_policy_name
str
Required
cls
callable

A custom type or function that will be passed the direct response

Returns

BaseBackupPolicyResource, or the result of cls(response)

Return type

Exceptions

list

Returns list of backup policies belonging to a backup vault.

list(vault_name: str, resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.dataprotection.models._models_py3.BaseBackupPolicyResourceList]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either BaseBackupPolicyResourceList or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.dataprotection.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\dataprotection\\models\\__init__.py'>